#! /bin/bash
# ----------------------------------------------------------------------------
# /tmp/install.sh - php8-fpm installation
#
# Creation   :  2018-11-19 schlotze
# Last update:  $Id: install.sh 62064 2019-01-06 21:20:52Z schlotze $
#
# Copyright (c) 2021 the eisfair team, <team(at)eisfair(dot)org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# ----------------------------------------------------------------------------

# include eislib
. /var/install/include/eislib

# set package name
package_name=php8-fpm

#mkdir -p /etc/php8/fpm/conf.d
mkdir -p /var/www/log

/var/install/bin/del-menu setup.services.menu setup.services.php8-fpm.menu

# ----------------------------------------------------------------------------
# Create default config
# ----------------------------------------------------------------------------
if [ -f "/etc/config.d/${package_name}" ]
then
    update=true
fi

/var/install/config.d/${package_name}-update.sh

/usr/sbin/update-alternatives --install /usr/sbin/php-fpm   php-fpm  /usr/sbin/php8-fpm   80 

rm -f /var/install/config.d/${package_name}-update.sh

# ---------------------------------------------------------------------------
# start configuration editor
# ---------------------------------------------------------------------------
if ${update:-false}
then
    /var/install/config.d/php8-fpm.sh --quiet

    . /etc/config.d/${package_name}
    if [ "${START_PHP8_FPM}" = "yes" ]
    then
        /usr/sbin/service start ${package_name}.service
    fi
fi

exit 0
# ----------------------------------------------------------------------------
# End
# ----------------------------------------------------------------------------
