#!/bin/sh
#------------------------------------------------------------------------------
# /var/install/dialog.d/PHP5_MYSQL_SOCKET.sh
#
# Copyright (c) 2015-2018 eisfair-Team
#
# Creation:    2009-05-24 schlotze
# Last update: $Id: PHP8FPM_EXT_MYSQL_SOCKET.sh 61718 2018-12-25 23:04:47Z schlotze $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

. /var/install/include/cuilib
. /var/install/include/ecelib

#----------------------------------------------------------------------------
# exec_dailog
# ece --> request to create and execute dialog
#         $p2 --> main window handle
#         $p3 --> name of config variable
#----------------------------------------------------------------------------
exec_dialog()
{
    win="$p2"
    sellist=' '
    my_start='no'
    my_servers=`find /etc/config.d -maxdepth 1 -name 'mariadb' -printf '%f\n' -o -name 'mariadb[0-9]*' \
                    -printf '%f\n' -o -name 'mysql' -printf '%f\n' -o -name 'mysql[0-9]*' -printf '%f\n'`

    for SERVER in ${my_servers}
    do
        # check activation status
        my_start=`grep "^START_" /etc/config.d/${SERVER} | sed 's/^START_.*=.\([enosy]*\).*$/\1/'`

        if [ "${my_start}" = 'yes' ]
        then
            # show only sockets of activated packages
            my_version=`grep "^START_" /etc/config.d/${SERVER} | sed -e 's/^\(START_.*\)=.*$/\1/' -e 's/[A-Z_]*//'`
            my_socket="/run/mysql/${my_version}/mysql.sock"

            if [ -S ${my_socket} ]
            then
                sellist="${sellist},${my_socket}"
            fi
        fi
    done

    ece_select_list_dlg "$win" "MySQL Socket" "$sellist"
}

#----------------------------------------------------------------------------
# main routine
#----------------------------------------------------------------------------

cui_init
cui_run

#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------

exit 0
